function request = buildCURLRequest(filepath)

% load experiment settings for recognition
speechRecogSettings;

% add keywords
keywords = '';
for idx = 1:length(settings.speechRecog.words)
   
    keywords = strcat(keywords, '%22', settings.speechRecog.words(idx), '%22');
    
    if(idx < length(settings.speechRecog.words))
        keywords = strcat(keywords, '%2C');
    end
    
end

% build request
request =  strcat('DYLD_LIBRARY_PATH=""; curl -X POST -u', {' '}, ...
            settings.speechRecog.Watson.user, ...
            ':', ...
            settings.speechRecog.Watson.password, ...
            ' --header "Content-Type:', {' '}, ...
            settings.speechRecog.Watson.content_type, ...
            '" --data-binary @', ...
            filepath, ...
            ' "', ...
            settings.speechRecog.Watson.url, ...
            '?timestamps=', ...
            settings.speechRecog.Watson.timestamps, ...
            '&keywords_threshold=', ...
            settings.speechRecog.Watson.keywords_threshold, ...
            '&keywords=', ...
            keywords, ...
            '&continuous=', ...
            settings.speechRecog.Watson.continuous, ...
            '"');

request = char(request);   
end