%% online classificaiton
%
% Author: Sebastian Musslick

numTrials = 5;              % number of probed words
recordingTime = 2;       % number seconds to record a word

% load settings
speechRecogSettings;

% generate pseudorandom sequence of words
sequence = randsample(length(settings.speechRecog.words), numTrials, 1);

% create audiorecorder object
recObj = audiorecorder(settings.speechRecog.fs, 8, 1, 0);

% trial loop
for trial = 1:numTrials
    
    % present instructions & record audio
    clc;
    disp(strcat('Please say: ''', settings.speechRecog.words{sequence(trial)}, ''''));
    disp('Start speaking.')
    recordblocking(recObj, recordingTime);
    disp('End of Recording.');
    
    % store temporary file name (first number is word category, second number is occurance of that category)
    filename = [settings.speechRecog.onlineDataFolder '/' num2str(trial)  '.wav'];
    
    % write data to file
    data = getaudiodata(recObj);
    audiowrite(filename, data, recObj.SampleRate);
    
    % recognize word
    [word, ~, onset, ~, ~, processingTime] = recognizeWord(filename);
    if(~isnan(word))
        disp(['Watson thinks you said: ''' word ''' with a reaction time of ' num2str(onset) ' seconds.']);
        disp(['The classification request took ' num2str(processingTime) ' seconds.']);
    else
        disp('Watson did not recognize a word');
    end
    
    % pause before presenting next word
    pause(2.0);
    clc;
    pause(0.5);
    
end