%% speech recognition settings
%
% Author: Sebastian Musslick

% general speech recognition settings
settings.speechRecog.words = {'red','yellow', 'blue', 'green'};                            % classification words
settings.speechRecog.alternatives{1} = {'red', 'read', 'bad', 'add', 'let'};             % phonetically similar words
settings.speechRecog.alternatives{2} = {'yellow', 'hello', 'L.'};  
settings.speechRecog.alternatives{3} = {'blue', 'the', 'live', 'well', 'do'};  
settings.speechRecog.alternatives{4} = {'green','great', 'ring', 'mean'};  

settings.speechRecog.postDataFolder = 'post-hocClassificationData';                   % path to classify wav files post-hoc
settings.speechRecog.onlineDataFolder = 'onlineClassificationData';                     % path to classify wav files post-hoc
settings.speechRecog.fs = 16000;                                                                    % acquisition rate

% Watson IBM speech to text user credentials
settings.speechRecog.Watson.user = 'Enter_User_Here';                      % user name
settings.speechRecog.Watson.password = 'Enter_Password_Here';       % password

% Watson IBM speech to text recognition parameters
settings.speechRecog.Watson.content_type = 'audio/wav';                                             % file format transmitted to Watson
settings.speechRecog.Watson.url = 'https://stream.watsonplatform.net/speech-to-text/api/v1/recognize';  % recognition URL
settings.speechRecog.Watson.timestamps = 'true';                                                        % must be true to return word endpoints (e.g. to measure reaction time)
settings.speechRecog.Watson.keywords_threshold = '0';                                                % confidence threshold (probability) for detecting keyword
settings.speechRecog.Watson.continuous = 'false';                                                         %  If true, the service transcribes the entire audio stream until it terminates rather than stopping at the first half-second of non-speech; if false (the default), recognition ends after the first end-of-speech (EOS) incident is detected.
